curl --request POST \
--url https://api.instantly.ai/api/v2/lead-lists \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "My Lead List"
}
'import requests
url = "https://api.instantly.ai/api/v2/lead-lists"
payload = { "name": "My Lead List" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'My Lead List'})
};
fetch('https://api.instantly.ai/api/v2/lead-lists', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.post("https://api.instantly.ai/api/v2/lead-lists")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"My Lead List\"\n}")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.instantly.ai/api/v2/lead-lists",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'My Lead List'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.instantly.ai/api/v2/lead-lists"
payload := strings.NewReader("{\n \"name\": \"My Lead List\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"id": "01a082d0-332a-7b85-86b6-dfedbe9e8e77",
"organization_id": "01a082d0-332a-7b85-86b6-dfee0443632b",
"name": "My Lead List",
"timestamp_created": "2026-09-08T20:57:57.802Z",
"has_enrichment_task": false,
"owned_by": "01a082d0-332a-7b85-86b6-dfefd645df32"
}{
"statusCode": 400,
"error": "Bad Request",
"message": "body must have required property 'name'"
}{
"statusCode": 401,
"error": "Unauthorized",
"message": "Missing Authorization header"
}{
"statusCode": 402,
"error": "Payment Required",
"message": "Workspace does not have an active paid plan"
}{
"statusCode": 404,
"error": "Not Found",
"message": "Resource not found"
}{
"statusCode": 429,
"error": "Too Many Requests",
"message": "Rate limit exceeded"
}Create lead list
Requires one of the following scopes: lead_lists:create, lead_lists:all, all:create, all:all
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
The Lead List to create
The Lead List to create
Name of the lead list
"My Lead List"
Whether this list runs the enrichment process on every added lead or not
false
User ID of the owner of this lead list. Defaults to the user that created the list
"01a082d0-332a-7b85-86b6-dfefd645df32"
Response
The Lead List
A list used to store leads
Unique identifier for the lead list
"01a082d0-332a-7b85-86b6-dfedbe9e8e77"
Organization ID that owns this lead list
"01a082d0-332a-7b85-86b6-dfee0443632b"
Name of the lead list
"My Lead List"
Timestamp when the lead list was created
"2026-09-08T20:57:57.802Z"
Whether this list runs the enrichment process on every added lead or not
false
User ID of the owner of this lead list. Defaults to the user that created the list
"01a082d0-332a-7b85-86b6-dfefd645df32"